Subject: Re: [lojban] Parsing "na ku" and "na" followed by other things

From: Richard Curnow <[email-masked]>
Date: Wed, 9 May 2001 06:46:16 +0100

On Tue, May 08, 2001 at 11:16:10PM -0400, Logical Language Group wrote:
> >
> >I want to go ahead and fix jbofi'e for this case, but obviously only if
> >detecting "na ku" as though it's a single token is still considered
> >correct behaviour in grammar v3.00.
> 
> Per step 5 in the algorithm stated in the front of grammar.300, all lexer 
> lexemes must be inserted before submitting the text to YACC parsing or 
> LALR1 will fail. NA+KU must be tagged by lexer_J per rule 950.

Thanks - I'll go ahead and work on the fix to jbofi'e then.

-- 
Richard P. Curnow, Weston-super-Mare, UK
http://www.rrbcurnow.freeuk.com/
email:[email-masked] email:[email-masked]